*CMZ :  2.01/01 21/11/95  13.20.53  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   16/03/95

      SUBROUTINE CHAPPD (C, D, N)

************************************************************************
*
* Description: append double precision number D at the end of C
*
* Called from: anywhere
*
* External references: CHDTOC
*
* Argument in/out description
*  C       in/out character string to be updated
*  D       in     double precision number to be appended
*  N       in     accuracy (N > 0); digits after . (N <=0)
*
************************************************************************

      IMPLICIT NONE

      INTEGER LENOCC, L, N
      DOUBLE PRECISION D
      CHARACTER*(*) C
      CHARACTER*30 C30

      CALL CHDTOC (D, N, '*', C30)

      L = LENOCC(C)
      IF (LEN(C) .GT. L)  C(L+1:) = C30
      IF (L + LENOCC(C30) .GT. LEN(C))  C(LEN(C):LEN(C)) = '!'

      END

************************************************************************
* End of CHAPPD
************************************************************************
