*-- Author :    Hartwig Albrecht   04/03/95

      SUBROUTINE IOFIND (CSTR, LUN)

************************************************************************
*
* Description: find logical unit number or get an unused one.
*
* Called from: anywhere
*
* External references: MEERRO, IODECL
*
* Argument in/out description
*   CSTR   in     name of an i/o stream
*   LUN    out    logical unit number
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEIO.fi"

      INTEGER L, LUN
      CHARACTER CSTR*(*), CU*80, CC*80

#include "arte/Arte.ff"
#include "auto/MEIO.ff"

      L = 0
      CU = CSTR
      CALL CLTOU (CU)

      DO 10 LUN = 1, 99
      IF (IMEIO_FLAG(LUN) .GE. 0)  THEN
        CALL CHHTOC (IQ(HQMEIO_STREAM(1,LUN)), CC)
        IF (CC .EQ. CU .AND. CU .NE. ' ')  GO TO 90
      ELSE
        L = LUN
      END IF
 10   CONTINUE

      LUN = L
      IF (LUN .NE. 0)  THEN
        CALL IODECL (LUN, CU, '(unspecified)')
      ELSE
        CALL MEERRC (25,
     +    'IOFIND: all 99 logical unit numbers used up')
      END IF

 90   END

************************************************************************
* End of IOFIND
************************************************************************
