// *****************************************************************************
//
// source:    daq_itr_if.hh
//
// type:      header file
//
// created:   14 Mar 2001
//
// author:    Brian Petersen, Lars Soezueer
//            email: soezueer@mail.desy.de
//
// purpose:   declaration of class DAQ_ITR_IF
//
// changes:   
//
// *****************************************************************************
#ifndef _DAQ_ITR_IF_
#define _DAQ_ITR_IF_

#include "daqif/daq_mc_if.hh"

class DAQ_ITR_IF : public DAQ_MC_IF {

public:
  DAQ_ITR_IF() : DAQ_MC_IF(COMP_N_ITR) {}

  unsigned int buildComponent(char *buf, unsigned int maxSize);

protected:

private:

};

int fillITRSEVTfromHITB(int major, int minor);

#endif
