#ifndef _RVER_H_
#define _RVER_H_
typedef struct {
   float xv;
   float yv;
   float zv;
   float cv[6];
   float mass;
   float merr;
   int nt;
   int obtra;
   int wire;
   float chi2;
   int type;
   int ndgf;
   int prrel;
} RVER;
#define  JRVER (gcbank_.iq+artelink_.jrver)
#define  NRVER() N_U(JRVER)
#define NCRVER() N_C(JRVER)
#define RVER(i) (*((RVER*)(JRVER+2)+(i)-1))
#define RVER_obtra(i) RVER(i).obtra
#include "auto/RRRV.h"
#define RVER_prrel(i) RVER(i).prrel
#define RVER_mrrel(i) M_R(i,JRRRV)
#define RVER_xrrel(i) X_R(i,JRRRV)
#endif
