
      SUBROUTINE TRDDAT

************************************************************************
* written by Siegmund Nowak, 16/03/95 09.18.12
*
* Description: Reads ASCII geometry file and stores the data 
*
* called from  TRDGEO
*
* External references: IO..., FF..., ...KEY,
************************************************************************

      IMPLICIT NONE
      INTEGER LEN
      CHARACTER*80 CFILE

#include "arte/Arte.fi"
#include "arte/ArteFlag.fi"
#include "arte/ZIOCOM.fi"
#include "gean/ZGTRDE.fi"
#include "arte/Arte.ff"

C---             Initialize geo dat input
      CALL ZGETFIL(cfile,len)
      CALL GEOPEN(cfile(:len))
      CALL FFINIT(0)

C     set keys for reading TRD  data cards by ffread

      CALL FFKEY('TRDE' ,TRDE, NSLTR,'MIXED')           	
      CALL FFKEY('ZATS' ,ZATS,     1,'REAL')           	
      CALL FFKEY('LTRD' ,LTRD,     1,'REAL')           	
      CALL FFKEY('DLTS' ,DLTS,     5,'REAL')
      CALL FFKEY('XROW' ,XROW,    16,'REAL')

      CALL FFKEY('XLTR' ,XLTR ,12,'REAL')           	
      CALL FFKEY('XRTR' ,XRTR ,12,'REAL')           	
      CALL FFKEY('YLTR' ,YLTR ,12,'REAL')
      CALL FFKEY('YRTR' ,YRTR ,12,'REAL')           	

C     Read in of data cards
      CALL FFSET('LINP',LREAD)
      CALL FFSET('LOUT',LLOGF)
      CALL FFGO
      CALL IOCLOS(LREAD)


 999  RETURN
      END

************************   END    TRDDAT    *****************************




