*-- Author :    Rainer Mankel   11/12/95


      subroutine prgwal()

*     **** print plane information
      implicit none
      integer id1, id2, nch, pl1, pl2, iwl, sl, isl, nprint, ii
      character*80 chopt
#include "arte/Arte.fi"

#include "auto/GEO.fi"
#include "auto/HITB.fi"
#include "auto/MIMP.fi"
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/HITB.ff"
#include "auto/MIMP.ff"

*     **** parameters
      call kugeti(id1)
      call kugeti(id2)
      call kugeti(isl)
      call kugetc(chopt,nch)

*     **** fixup
      if (jgwal.le.0) then
         call mewarn('prgwal: table GWAL is not booked')
         go to 999
      endif

      if (id2.eq.0.and.id1.ne.0) id2 = id1
      id1 = max(id1,1)
      if (id2.eq.0) then
       id2 = iq(jgwal+2)
      else
       id2 = min(id2,iq(jgwal+2))
      endif

*     **** print headline

*     **** loop over plane range
      pl1 = max(id1,1)
      pl2 = min(id2,iq(jgwal+2))
      nprint = 0
      do 10 iwl=pl1,pl2
         sl = ogwal_gesl(iwl)
         if (isl.gt.0.and.isl.ne.sl) go to 10

         nprint = nprint + 1

         if (mod(nprint,10).eq.1) then
            if (index(chopt,'B').gt.0) then ! borders
               print 112,'sl','iwl',
     +              'shp','xmi','xma','ymi','yma','zmi',
     +              'zma','xmad','ymad','zmad'
            elseif (index(chopt,'R').gt.0) then ! rotation
               print 132,'sl','ipl',
     +              'rot1','rot2','rot3','rot4',
     +              'rot5','rot6','rot7','rot8','rot9'
            else
               print 102,'isl','iwl',
     +              'shp','xmi','xma','ymi','yma','zmi',
     +              'ms','gmat','gvol'
            endif
         endif

         if (index(chopt,'B').gt.0) then ! borders
            print 111,ogwal_gesl(iwl), iwl,
     +           igwal_shp(iwl), fgwal_xmin(iwl), fgwal_xmax(iwl),
     +           fgwal_ymin(iwl), fgwal_ymax(iwl), fgwal_zmin(iwl),
     +           fgwal_zmax(iwl), fgwal_xmad(iwl), fgwal_ymad(iwl),
     +           fgwal_zmad(iwl)
 111        format(i3,i5,i4,9f8.2)
 112        format(a3,a5,a4,9a8)
         elseif (index(chopt,'R').gt.0) then ! rotation
            print 131,ogwal_gesl(iwl), iwl,
     +           (fgwal_rot(ii,iwl),ii=1,9)
 131        format(i3,i5,9f6.3)
 132        format(a3,a5,9a6  )
         else
            print 101,ogwal_gesl(iwl),iwl,
     +        igwal_shp(iwl),  fgwal_xmin(iwl), fgwal_xmax(iwl),
     +        fgwal_ymin(iwl), fgwal_ymax(iwl), fgwal_zmin(iwl),
     +        fgwal_ms(iwl), ogwal_gmat(iwl), hgwal_gvol(iwl)
 101        format(i3,i5,i4,5f8.2,e12.4,i6,1x,a4)
 102        format(a3,a5,a4,5a8  ,a12  ,a6,1x,a4)
         endif
 10   continue
 999  end


