// 
//  Author:  Rainer Mankel                     Created:  19-May-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgwidlent_

// Fortran interface which returns the entrance domain layer for a given
// domain window and direction.

#include "rang/DomWin.hh"

extern "C" {
  rangerDomLay* rgwidlent_(rangerDomWin*& dw,  // domain window (input)
			   const int& direction) { // propagation direction
                                                   //   (input)
    if (dw) {
      return dw->entryDL(direction);
    }
    else {
      return 0;
    }
  }
}



    



