// 
//  Author:  Rainer Mankel                     Created:  25-Apr-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// rgxprodmp_
// Dump the currently stored horizontal projection candidate.

#include "rang/Domain.hh"
#include "rang/DomWin.hh"
#include "rang/DomObj.hh"
#include "rang/XPro.hh"
#include "rang/XWin.hh"

extern rangerDomObj* rangerDO;   // global DO pointer

extern "C" {
  void rgxprodmp_() {
    rangerDO->xpro()->dump(9);
  }
}
