*CMZ :  4.02/00 19/07/96  13.08.47  by  Rainer Mankel
*CMZ :  3.02/00 18/12/94  17.14.59  by  Rainer Mankel
*CMZ :  3.01/00 24/11/94  15.50.42  by  Rainer Mankel
*-- Author :    Rainer Mankel   14/11/94

      subroutine tfbest()

*     **** final weedout
      implicit none
#include "rang/zf.fi"
      integer n_parallel
      parameter (n_parallel=1)
      integer index_al(ncamx), nal, ii
      real quality_min
*     **** loop over itf, select alive candidates
      nal = 0
      do ii=begin_ft,nca_ft
       if (alive_ft(ii)) then
        nal = nal + 1
        index_al(nal) = ii
       endif
      enddo

      if (nal.eq.0) go to 999

*     **** sort descending quality
      call sortzv(quality_ft,index_al,nal,+1,+1,+1)

*     **** best candidate sets standard
      if (index_al(1).lt.1.or.index_al(1).gt.nca_ft) then
         print *,' () tfbest: index_al(1),nal,nca_ft=',
     +        index_al(1),nal,nca_ft
      endif
      quality_min = quality_ft(index_al(1)) - 1.

*     **** kill everything below quality_min
      if (n_parallel.ge.2) then
       do ii=2,min0(n_parallel,nal)
        if (quality_ft(index_al(ii)).lt.quality_min)
     +                           alive_ft(index_al(ii)) = .false.
       enddo
      endif

*     **** kill everything but the best candidates
      do ii=n_parallel+1,nal
       alive_ft(index_al(ii)) = .false.
      enddo

 999  end


