*CMZ :          05/07/96  11.31.11  by  Hartwig Albrecht
*CMZ :  2.01/03 07/02/96  14.21.09  by  Hartwig Albrecht
*CMZ :  2.01/01 20/12/95  19.28.15  by  Hartwig Albrecht
*-- Author :    Hartwig Albrecht   19/12/95

      SUBROUTINE ALSAVE

************************************************************************
*
* Description: Save Pythia parameters which can be
* overwritten by Fritiof.
*
* Called from: KALUND
*
* External references: none
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/ZPYSAVE.fi"
#include "pyth/PYPARS.fi"
#include "pyth/PYSUBS.fi"

      MSELSA = MSEL
      MSTP31 = MSTP(31)
      MSTP61 = MSTP(61)
      MSTP63 = MSTP(63)
      MSTP65 = MSTP(65)
      MSTP71 = MSTP(71)
      MSTP91 = MSTP(91)
      MSTP111 = MSTP(111)
      MSTP122 = MSTP(122)

      MSUB11 = MSUB(11)
      MSUB12 = MSUB(12)
      MSUB13 = MSUB(13)
      MSUB28 = MSUB(28)
      MSUB53 = MSUB(53)
      MSUB68 = MSUB(68)
      MSUB81 = MSUB(81)
      MSUB82 = MSUB(82)
      MSUB83 = MSUB(83)
      MSUB86 = MSUB(86)
      MSUB87 = MSUB(87)
      MSUB88 = MSUB(88)
      MSUB89 = MSUB(89)
      MSUB90 = MSUB(90)
      MSUB92 = MSUB(92)
      MSUB95 = MSUB(95)

      MSUB104 = MSUB(104)
      MSUB105 = MSUB(105)
      MSUB106 = MSUB(106)
      MSUB107 = MSUB(107)
      MSUB108 = MSUB(108)
      MSUB119 = MSUB(119)
      MSUB120 = MSUB(120)
      MSUB125 = MSUB(125)
      MSUB126 = MSUB(126)
      MSUB127 = MSUB(127)
      MSUB132 = MSUB(132)
      MSUB133 = MSUB(133)
      MSUB134 = MSUB(134)
      MSUB135 = MSUB(135)
      MSUB136 = MSUB(136)
      MSUB137 = MSUB(137)
      MSUB190 = MSUB(190)
      MSUB191 = MSUB(191)
      MSUB192 = MSUB(192)
      MSUB193 = MSUB(193)
      MSUB194 = MSUB(194)



      CKIN3 = CKIN(3)
      CKIN5 = CKIN(5)
      CKIN6 = CKIN(6)
      PARP81 = PARP(81)
      PARP176 = PARP(176)

      END

************************************************************************
* End of ALSAVE
************************************************************************
