
      SUBROUTINE PTLPRN
**************************************************************************
*                                                                        *
* PPPPPPPPP   TTTTTTTTTT  LL        PPPPPPPPP   RRRRRRRRR   NN        NN *
* PPPPPPPPPP  TTTTTTTTTT  LL        PPPPPPPPPP  RRRRRRRRRR  NNN       NN *
* PP      PP      TT      LL        PP      PP  RR      RR  NNNN      NN *
* PP      PP      TT      LL        PP      PP  RR      RR  NN NN     NN *
* PP      PP      TT      LL        PP      PP  RR      RR  NN  NN    NN *
* PPPPPPPPPP      TT      LL        PPPPPPPPPP  RRRRRRRRRR  NN   NN   NN *
* PPPPPPPPP       TT      LL        PPPPPPPPP   RRRRRRRRR   NN    NN  NN *
* PP              TT      LL        PP          RR  RR      NN     NN NN *
* PP              TT      LL        PP          RR   RR     NN      NNNN *
* PP              TT      LL        PP          RR    RR    NN       NNN *
* PP              TT      LLLLLLLL  PP          RR     RR   NN        NN *
* PP              TT      LLLLLLLL  PP          RR      RR  NN         N *
*                                                                        *
**************************************************************************
*                                                                        *
* Revision: 1.1.1.1 $                                                    *
* Author: I.Belyaev                                                      *
* Date: 1997/11/06 09:52:46 $                                            *
*                                                                        *
* Created: Apr 10, 1997 by I.Belyaev                                     *
*                                                                        *
* Description:                                                           *
*  get arguments for PTLLST routine from KUIP                            *
*                                                                        *
* Called from KUIP                                                       *
*                                                                        *
* Arguments:                                                             *
* name       in/out/update Argument description                          *
**************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/PTGE.fi"

      INTEGER        FIRST , LAST , L 
      CHARACTER*78   OBJECTS , DESTINATION , FORM 
      CHARACTER*78   NAME , SUPERLAYER , MOTHER
 
#include "arte/Arte.ff" 
#include "auto/PTGE.ff"

      CALL KUGETI( FIRST ) 
      CALL KUGETI( LAST  ) 

      NAME='ALL'
      CALL KUGETC(   NAME        , L )
      IF( L .LE. 0 ) NAME='ALL'  

      OBJECTS='ALL'
      CALL KUGETC(   OBJECTS     , L )
      IF( L .LE. 0 ) OBJECTS='ALL'  

      SUPERLAYER='ALL' 
      CALL KUGETC(   SUPERLAYER  , L )
      IF( L .LE. 0 ) SUPERLAYER='ALL'  

      MOTHER='ALL' 
      CALL KUGETC(   MOTHER      , L )
      IF( L .LE. 0 ) MOTHER='ALL'  

      DESTINATION='TPL' 
      CALL KUGETC(   DESTINATION , L ) 
      IF( L .LE. 0 ) DESTINATION='ALL' 

      FORM='TABLE' 
      CALL KUGETC(   FORM        , L ) 
      IF( L .LE. 0 ) FORM='TABLE'

      CALL PTLLST( FIRST      , LAST   , NAME , OBJECTS     , 
     &             SUPERLAYER , MOTHER , FORM , DESTINATION ) 

      RETURN 
      END 



