*-- Author :    Hartwig Albrecht   05/04/95

      SUBROUTINE KALZEB

************************************************************************
*
* Description: List array Q/IQ
*
* Called from: KUIP
*
* External references: LIZEBR
*
* Arguments: none
*
************************************************************************

      IMPLICIT NONE

#include "arte/Arte.fi"
#include "auto/MEMO.fi"

      INTEGER I1, I2, L1, L2, LENOCC, UTTABNF
      CHARACTER CTPL*3, CN*80

#include "arte/Arte.ff"
#include "auto/MEMO.ff"

      CALL UTKUGC (0, I1, CN, L1)
      I2 = 20
      CALL KUGETI (I2)
      CALL KUGETC (CTPL, L2)

      IF (L1 .NE. 0)  THEN
        I1 = UTTABNF (CN)
        IF (I1 .EQ. 0)  THEN
          CALL MEWARC (9346765, 'LZEBRA: table name is unknown')
          GO TO 90
        END IF

 20     IF (JLINK(I1) .EQ. 0)  THEN
          CALL MEWARC (123564, 'LZEBRA: table is not booked')
          GO TO 90
        END IF
        I1 = JLINK(I1)
        IF (I2 .EQ. 0)  I2 = IQ(I1-1) + 1
      END IF

      IF (I1 .EQ. 0)  THEN
        CALL LITABL (0, CTPL)
        GO TO 90
      END IF

      I2 = MAX(I1,I1 + I2 - 1)

      CALL LIZEBR (I1, I2, 0, CTPL)

 90   END

************************************************************************
* End of KALZEB
************************************************************************
