
* Boris Fominykh  23.01.2001
* prints muon MTRAs
*
      SUBROUTINE MUMTRA
C-    =================
      IMPLICIT NONE
#include "arte/Arte.fi"
#include "auto/GEO.fi"
#include "auto/MC.fi"
#include "auto/TOPP.fi"
      INTEGER IMT,JMT,ID,NMP,JAUX,IM,IV,CMP,ISL,MSL,I
      INTEGER NISLT,NIOTR,NIITR,NIPT,NIRIC,NITRD,NICAL,NIMU
      INTEGER IMP(100),IVP(100),ICMP(100),MSLP(100)
      REAL P,PX,PY,PZ,PT2,PT,CT,PHI
      CHARACTER*12 CC
#include "arte/Arte.ff"
#include "auto/GEO.ff"
#include "auto/MC.ff"
#include "auto/TOPP.ff"
C----+===1=========2=========3=========4=========5=========6=========7==********
      WRITE(LLOGF,*) '***** MUMTRA starts *****'

      IF(JMTRA.GT.0) GOTO 10
      WRITE(LLOGF,1000) JMTRA
 1000 FORMAT(2X,'*** MUMTRA: no table MTRA, JMTRA=',I10)
      GOTO 200
 10   CONTINUE

*
* loops over mtras
      IF(IQ(JMTRA+2).LE.0) GOTO 200
      DO 150 IMT=1,IQ(JMTRA+2)

        NISLT=0
         NIOTR=0
          NIITR=0
           NIPT =0
            NIRIC=0
             NITRD=0
              NICAL=0
               NIMU =0

        JMT=JMTRA+IQ(JMTRA+1)*(IMT-1)+2
* track momentum
        PX  = Q(JMT+JMTRA_PX)
        PY  = Q(JMT+JMTRA_PY)
        PZ  = Q(JMT+JMTRA_PZ)
        PT2 = PX**2 + PY**2
        P   = SQRT(PZ**2 + PT2)
        IF(P.GT.1.E-5) CT=PZ/P
        PT=SQRT(PT2)
        IF(PT.GT.1.E-5) PHI=ATAN2(PY/PT,PX/PT)
* particle id
        ID  = IQ(JMT+JMTRA_TOPP)
* particle name
        CALL CHHTOC(IQ(HQTOPP_NAME(1,ID)),CC)

* use relations MTRA - MIMP to collect mimps
        NMP=0
        JAUX=PMTRA_MIMP(IMT)
 11          IF(JAUX.EQ.0) GOTO 13
             IM=MMTRA_MIMP(JAUX)
* GEDE
             IV  = IMIMP_GEDE(IM)
* detector component
             CMP = IGEDE_CMP(IV)

             IF(CMP.EQ.1) NISLT=NISLT+1
              IF(CMP.EQ.2) NIOTR=NIOTR+1
               IF(CMP.EQ.3) NIITR=NIITR+1
                IF(CMP.EQ.4) NIPT =NIPT+1
                 IF(CMP.EQ.5) NIRIC=NIRIC+1
                  IF(CMP.EQ.6) NITRD=NITRD+1
                   IF(CMP.EQ.7) NICAL=NICAL+1
                    IF(CMP.EQ.8.OR.CMP.EQ.9) NIMU=NIMU+1

*
             IF(CMP.EQ.8.OR.CMP.EQ.9) THEN
* superlayer
               ISL = OGEDE_GESL(IV)
* muon superlayer
               MSL=IGESL_NSL(ISL)
               NMP=NMP+1
               IMP(NMP)=IM
               IVP(NMP)=IV
               ICMP(NMP)=CMP
               MSLP(NMP)=MSL
             ENDIF
*
             JAUX=XMTRA_MIMP(JAUX)
             GOTO 11
 13      CONTINUE
*
* print
        WRITE(LLOGF,1101)
     +      IMT,ID,CC,P,CT,PHI,NMP
 1101   FORMAT(2X,'MTRA',I5,' ID',I4,
     +         2X,A12,' p',F10.5,' ct,phi',2F8.3,' NImu',I3)
        WRITE(LLOGF,1106)
     +      NISLT,NIOTR,NIITR,NIPT,NIRIC,NITRD,NICAL,NIMU
 1106   FORMAT(4X,'NIslt',I3,' NIotr',I3,' NIitr',I3,' NIpt',I3,
     +           ' NIric',I3,' NItrd',I3,' NIcal',I3,' NImu',I3)
        IF(NMP.GT.0) THEN
           WRITE(LLOGF,1102) (IMP(I),I=1,NMP)
 1102      FORMAT(4X,'MIMP:',15I5,10(/,9X,15I5))
           WRITE(LLOGF,1103) (MSLP(I),I=1,NMP)
 1103      FORMAT(4X,'MuSL:',15I5,10(/,9X,15I5))
           WRITE(LLOGF,1104) (IVP(I),I=1,NMP)
 1104      FORMAT(4X,'GEDE:',15I5,10(/,9X,15I5))
           WRITE(LLOGF,1105) (ICMP(I),I=1,NMP)
 1105      FORMAT(4X,' CMP:',15I5,10(/,9X,15I5))
        ENDIF
*
*
  150 CONTINUE
*
  200 CONTINUE
*
      WRITE(LLOGF,*) '***** MUMTRA finished,  mtras in total',
     *                IQ(JMTRA+2),' *****'
      RETURN
      END




