// 
//  Author:  Rainer Mankel                     Created:  12-Jul-99
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerExclusionRange
// specify contiguous range of unuseable channels

#ifndef RANGER_EXCLUSION_RANGE
#define RANGER_EXCLUSION_RANGE

class rangerLayPl;

class rangerExclusionRange {

public:
  rangerExclusionRange(){};
  rangerExclusionRange(rangerLayPl* laypl,double uMin,double uMax);
  double umin() { return uMi;};   // accessors
  double umax() { return uMa;};   //
  void extend(double uemin,double uemax);  // extend the range by new interval
  ~rangerExclusionRange(){};

private:
  rangerLayPl* lPl;
  double uMi;
  double uMa;
};
#endif
