// 
//  Author:  Rainer Mankel                     Created:  29-Sep-98
//           Humboldt University Berlin        Modified:  
//  Email:   mankel@ifh.de                     HERA-B Collaboration
// 

// class rangerVolCone
// volume class for cone shape

#ifndef rangerVolCone_HH
#define rangerVolCone_HH

#ifndef rangerVolume_HH
#include "rang/Volume.hh"
#endif

class rangerVolCone : public rangerVolume {

public:
  rangerVolCone(); // default constructor
  rangerVolCone( rangerGeWa* gewa ); // constructor from gewa
  ~rangerVolCone(); // destructor
  virtual float sLength(float zz,float x,float y,float tx,float ty) const ;
};

#endif
