#include "rich/rich.h"

extern "C" {

  void m16base_(int &IPMT, int &IPAD, int &IASD, int &ICH, int &OK ){
    
    if ( !RICH_DAQ )  initrich_();
    IASD = RICH_DAQ->m16base().asdid( IPMT, IPAD);
    ICH  = RICH_DAQ->m16base().asdchannel( IPMT, IPAD);
    OK   = 0;

    return;
  }

  void m4base_(int &IPMT, int &IPAD, int &ICH, int &OK ){
    if ( !RICH_DAQ )  initrich_();
    ICH  = RICH_DAQ->m4base().asdchannel( IPMT, IPAD);
    OK   = 0;

  }

  int nrichdaq_(){
    if ( !RICH_DAQ )  initrich_();
    return RICH_DAQ->NumChannel();
  }

  void  richdaq_(int &I, int &MM,int &IASD,int &ISM,int &IROW,int &ICOL,
		 int &IMDB,int &IDTB,int &ICON, int &OK ) {

    OK = 1;
    int ci = I;
    if ( RICH_DAQ->ChannelExist(ci) ){
      OK   = RICH_DAQ->channel();
      MM   = RICH_DAQ->pm_numchannel(); 
      IASD = RICH_DAQ->asdid(); 
      ISM  = RICH_DAQ->sm(); 
      IROW = RICH_DAQ->bb_row(); 
      ICOL = RICH_DAQ->bb_col();
      IMDB = RICH_DAQ->fedid();
      IDTB = RICH_DAQ->daughter();
      ICON = RICH_DAQ->connector(); 
    } else {
      MM   = 0;
      IASD = 0;
      ISM  = 0;
      IROW = 0;
      ICOL = 0;
      IMDB = 0;
      IDTB = 0;
      ICON = 0;
    }
    return;
   }

}
