>NAME RITERKUIP

>MENU /RITER
>Guidance
Commands related to RIch iTErative Reconstruction software.


>Command NZERO
>Guidance
Set RICH figure of merit.
>Action RITER_SET_NZERO
>Parameter
+
N0 'figure of merit in mm^-1' R  D='4.2'


>Command REFIND
>Guidance
Set RICH index of refraction.
>Action RITER_SET_REFIND
>Parameter
+
RIND 'index of refraction' R  D='1.00137'


>Command SIGM16
>Guidance
Set RICH angular sigma for M16 region.
>Action RITER_SET_SIGM16
>Parameter
+
S16 'sigma in radians' R  D='.7e-3'


>Command SIGM4
>Guidance
Set RICH angular sigma for M4 region.
>Action RITER_SET_SIGM4
>Parameter
+
S4 'sigma in radians' R  D='1.05e-3'


>Command ETA
>Guidance
Set RICH signal normalisation factor.
>Action RITER_SET_ETA
>Parameter
+
NF 'normalisation factor' R  D='.75'


>Command THCLIM
>Guidance
Set Cerenkov angle limit.
>Action RITER_SET_THCLIM
>Parameter
+
THCL 'theta cerenkov limit in radians' R  D='70.e-3'


>Command BIN
>Guidance
Set bin size used for ring_iter.
>Action RITER_SET_BIN
>Parameter
+
BS 'bin size in radians' R  D='.5e-3'


>Command NITER
>Guidance
Set number of iterations.
>Action RITER_SET_NITER
>Parameter
+
N 'number of iterations' I  D='10'


>Command SWIN
>Guidance
Set signal window size.
>Action RITER_SET_SWIN
>Parameter
+
SW 'signal window in number of sigmas' R  D='6.'


>Command DWIN
>Guidance
Set wide window size (used for background estimation).
>Action RITER_SET_DWIN
>Parameter
+
DW 'wide window in number of signal window size' R  D='3.'


>Command TCORR
>Guidance
Enable/disable corrections of track angular sigma.
>Action RITER_SET_TCORR
>Parameter
+
FLAG 'on/off' C D='on'


>Command TCPAR
>Guidance
Set correction parameters for track angular sigma.
>Action RITER_SET_TCPAR
>Parameters
+
FSTX 'scale factor for sigma_tx' R D=4.
FSTY 'scale factor for sigma_ty' R D=1.7
MSTX 'minimum value for sigma_tx' R D=1e-3
MSTY 'minimum value for sigma_ty' R D=1e-3


>Command SHOWPAR
>Guidance
Show current settings of parameters in /RIC_PAR/.
>Action RITER_SHOWPAR


>Command TRALKH
>Guidance
Enable/disable calculation of track likelihood using magnet hits.
>Action RITER_SET_TRALKH
>Parameter
+
FLAG 'on/off' C D='on'





